# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

mailchimp_menu_item = items.MenuItem(
    # GENERAL
    _('Mailchimp'), 
    reverse('admin:app_list', kwargs={'app_label': 'mailchimp'}),
    children=[
        items.MenuItem(
            _('Mailchimp'),
            '',
            children=[
                items.MenuItem(_('Add Mailchimp'), reverse('admin:mailchimp_mailchimp_add',)), 
                items.MenuItem(_('Mailchimp List'), reverse('admin:mailchimp_mailchimp_changelist',)),
            ]
        ),
    ]
)


register_menu(mailchimp_menu_item, 'jmb.mailchimp')